## scribus-ng 1.3.3.6.dfsg-1

=== scribus/CMakeLists.txt ===
#Subdirectories
ADD_SUBDIRECTORY(dicts)
ADD_SUBDIRECTORY(doc)
ADD_SUBDIRECTORY(dtd)
ADD_SUBDIRECTORY(icons)
ADD_SUBDIRECTORY(keysets)
IF(RENDER_LIB STREQUAL "LIBART")
  ADD_SUBDIRECTORY(libart)
ENDIF(RENDER_LIB STREQUAL "LIBART")
ADD_SUBDIRECTORY(loremipsum)
ADD_SUBDIRECTORY(manpages)
ADD_SUBDIRECTORY(pixbuf)
ADD_SUBDIRECTORY(plugins)
ADD_SUBDIRECTORY(profiles)
ADD_SUBDIRECTORY(qm)
ADD_SUBDIRECTORY(swatches)
ADD_SUBDIRECTORY(templates)
ADD_SUBDIRECTORY(text)


SET(SCRIBUS_UI_SRC
aboutpluginsbase.ui
docitemattrprefsbase.ui
docsectionsbase.ui
multiprogressdialogbase.ui
pageitemattributesbase.ui
smlinestylewbase.ui
stylemanagerbase.ui
tocindexprefsbase.ui
useprintermarginsdialogbase.ui
)

SET(SCRIBUS_MOC_CLASSES
about.h
aboutplugins.h
actionmanager.h
aligndistribute.h
alignselect.h
annota.h
annot.h
applytemplatedialog.h
arrowchooser.h
autoform.h
autoformbuttongroup.h
bookmwin.h
bookpalette.h
buttonicon.h
charselect.h
checkDocument.h
cmsprefs.h
cmykfw.h
collect4output.h
colorchart.h
colorm.h
colorsetmanager.h
colorcombo.h
commonstrings.h
cpalette.h
cupsoptions.h
customfdialog.h
dcolor.h
deferredtask.h
delpages.h
docinfo.h
docitemattrprefs.h
docsections.h
druck.h
edit1format.h
editformats.h
editor.h
effectsdialog.h
extimageprops.h
fileloader.h
filesearch.h
filewatcher.h
fontcombo.h
fontprefs.h
fontreplacedialog.h
frameedit.h
gradienteditor.h
gtdialogs.h
guidemanager.h
helpbrowser.h
hruler.h
hyask.h
hyphenator.h
hysettings.h
imageinfodialog.h
insertTable.h
inspage.h
javadocs.h
keymanager.h
layers.h
lineformats.h
loadsaveplugin.h
loremipsum.h
margindialog.h
marginWidget.h
mdup.h
measurements.h
menumanager.h
mergedoc.h
movepage.h
missing.h
mpalette.h
mspinbox.h
multiline.h
multiprogressdialog.h
muster.h
navigator.h
newfile.h
newtemp.h
pageitem.h
pageitemattributes.h
pageitem_imageframe.h
pageitem_line.h
pageitem_pathtext.h
pageitem_polygon.h
pageitem_polyline.h
pageitem_textframe.h
pagelayout.h
pageselector.h
pdflib.h
pdfopts.h
picsearch.h
picstatus.h
pluginmanager.h
pluginmanagerprefsgui.h
polygonwidget.h
polyprops.h
prefs.h
prefsdialogbase.h
prefsmanager.h
prefspanel.h
preview.h
pslib.h
query.h
reformdoc.h
rulermover.h
sampleitem.h
sccolorshade.h
scmenu.h
scmessagebox.h
scplugin.h
scpreview.h
scraction.h
scrap.h
scribus.h
scribusapp.h
scribusdoc.h
scribusview.h
scribusXml.h
scribuswin.h
scrpalettebase.h
sctoolbar.h
search.h
seiten.h
selection.h
selfield.h
shadebutton.h
smlinestyle.h
spalette.h
story.h
styleitem.h
stylemanager.h
styleselect.h
tabcheckdoc.h
tabguides.h
tabmanager.h
tabpdfoptions.h
tabruler.h
tabtools.h
tabtypography.h
tocgenerator.h
tocindexprefs.h
tree.h
undogui.h
undomanager.h
upgradechecker.h
useprintermarginsdialog.h
vruler.h
werktoolb.h
)

# linkbutton.h

SET(SCRIBUS_SOURCES
about.cpp
aboutplugins.cpp
actionmanager.cpp
aligndistribute.cpp
alignselect.cpp
annota.cpp
annot.cpp
applytemplatedialog.cpp
arrowchooser.cpp
autoformbuttongroup.cpp
autoform.cpp
bookmwin.cpp
bookpalette.cpp
buttonicon.cpp
charselect.cpp
checkDocument.cpp
cmserrorhandling.cpp
cmykfw.cpp
cmsprefs.cpp
cmsutil.cpp
collect4output.cpp
colorchart.cpp
colorcombo.cpp
colorm.cpp
colorsetmanager.cpp
commonstrings.cpp
cpalette.cpp
cupsoptions.cpp
customfdialog.cpp
dcolor.cpp
deferredtask.cpp
delpages.cpp
docinfo.cpp
docitemattrprefs.cpp
docsections.cpp
documentchecker.cpp
documentinformation.cpp
druck.cpp
dynamictip.cpp
editor.cpp
edit1format.cpp
editformats.cpp
effectsdialog.cpp
exif.cpp
extimageprops.cpp
fileloader.cpp
filesearch.cpp
fileunzip.cpp
filewatcher.cpp
fmitem.cpp
fontcombo.cpp
fontprefs.cpp
fontreplacedialog.cpp
fparser.cpp
fpointarray.cpp
fpoint.cpp
fpoptimizer.cpp
frameedit.cpp
gradienteditor.cpp
gsutil.cpp
gtaction.cpp
gtdialogs.cpp
gtfont.cpp
gtframestyle.cpp
gtgettext.cpp
gtmeasure.cpp
gtparagraphstyle.cpp
gtstyle.cpp
gtwriter.cpp
guidemanager.cpp
helpbrowser.cpp
hnjalloc.c
hruler.cpp
hyask.cpp
hyphen.c
hyphenator.cpp
hysettings.cpp
imageinfodialog.cpp
insertTable.cpp
inspage.cpp
ioapi.c
javadocs.cpp
keymanager.cpp
langmgr.cpp
layers.cpp
linecombo.cpp
lineformats.cpp
linkbutton.cpp
loadsaveplugin.cpp
loremipsum.cpp
main.cpp
margindialog.cpp
marginWidget.cpp
md5.c
mdup.cpp
measurements.cpp
menumanager.cpp
mergedoc.cpp
movepage.cpp
missing.cpp
mpalette.cpp
mspinbox.cpp
multiline.cpp
multiprogressdialog.cpp
muster.cpp
navigator.cpp
newfile.cpp
newtemp.cpp
page.cpp
pageitem.cpp
pageitemattributes.cpp
pageitem_imageframe.cpp
pageitem_line.cpp
pageitem_pathtext.cpp
pageitem_polygon.cpp
pageitem_polyline.cpp
pageitem_textframe.cpp
pagelayout.cpp
pageselector.cpp
pagesize.cpp
pdflib.cpp
pdfoptions.cpp
pdfoptionsio.cpp
pdfopts.cpp
picsearch.cpp
picstatus.cpp
pluginmanager.cpp
pluginmanagerprefsgui.cpp
polygonwidget.cpp
polyprops.cpp
prefs.cpp
prefscontext.cpp
prefsdialogbase.cpp
prefsfile.cpp
prefspanel.cpp
prefsreader.cpp
prefsmanager.cpp
prefstable.cpp
preview.cpp
printerutil.cpp
pslib.cpp
query.cpp
rc4.c
reformdoc.cpp
rulermover.cpp
sampleitem.cpp
sccolor.cpp
sccolorshade.cpp
sccombobox.cpp
scfonts.cpp
scfonts_ttf.cpp
scfontmetrics.cpp
scimage.cpp
scpainter.cpp
scpaths.cpp
scplugin.cpp
scpreview.cpp
scraction.cpp
scrap.cpp
scribus.cpp
scribusapp.cpp
scribusdoc.cpp
scribusview.cpp
scribusXml.cpp
scribuswin.cpp
scrpalettebase.cpp
scmenu.cpp
scmessagebox.cpp
sctoolbar.cpp
search.cpp
seiten.cpp
selection.cpp
selfield.cpp
serializer.cpp
shadebutton.cpp
smlinestyle.cpp
spalette.cpp
splash.cpp
stencilreader.cpp
story.cpp
styleitem.cpp
stylemanager.cpp
styleselect.cpp
tabcheckdoc.cpp
tabguides.cpp
tabmanager.cpp
tabpdfoptions.cpp
tabruler.cpp
tabtools.cpp
tabtypography.cpp
tocgenerator.cpp
tocindexprefs.cpp
tree.cpp
undogui.cpp
undomanager.cpp
undoobject.cpp
undostate.cpp
units.cpp
unzip.c
upgradechecker.cpp
useprintermarginsdialog.cpp
util.cpp
vgradient.cpp
vgradientex.cpp
vruler.cpp
werktoolb.cpp
)

IF(QT_WRAP_UI)
QT_WRAP_UI(scribus SCRIBUS_UI_H SCRIBUS_UI_CPP ${SCRIBUS_UI_SRC} )
ENDIF(QT_WRAP_UI)

IF(QT_WRAP_CPP)
  SCRIBUS_QT_WRAP_CPP(SCRIBUS_MOC_SOURCES ${SCRIBUS_MOC_CLASSES})
ENDIF(QT_WRAP_CPP)

LINK_DIRECTORIES(
text
pixbuf
)

IF(RENDER_LIB STREQUAL "LIBART")
  LINK_DIRECTORIES(libart)
ENDIF(RENDER_LIB STREQUAL "LIBART")

SET(SCRIBUS_LIBART_LIB "scribus_libart_lib")
SET(SCRIBUS_PIXBUF_LIB "scribus_pixbuf_lib")
SET(SCRIBUS_TEXT_LIB "scribus_text_lib")

INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}
${CMAKE_CURRENT_SOURCE_DIR}
)

SET(EXE_NAME "scribus${TAG_VERSION}")

ADD_EXECUTABLE(${EXE_NAME}
  ${SCRIBUS_MOC_SOURCES}
  ${SCRIBUS_SOURCES}
  ${SCRIBUS_UI_CPP}
  ${SCRIBUS_TEXT_SOURCES}
)

TARGET_LINK_LIBRARIES(${EXE_NAME}
${SCRIBUS_TEXT_LIB}
${SCRIBUS_PIXBUF_LIB}
)

IF(RENDER_LIB STREQUAL "LIBART")
  TARGET_LINK_LIBRARIES(${EXE_NAME}
  ${SCRIBUS_LIBART_LIB}
  )
ENDIF(RENDER_LIB STREQUAL "LIBART")

INSTALL(TARGETS ${EXE_NAME}
  RUNTIME DESTINATION bin
  LIBRARY DESTINATION lib)
