=== scribus/icons/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
)

INSTALL(FILES
above.png
acrobat.png
acroread.png
addf.png
AddNode.png
AddPoint.png
al_bottom_in.png
al_bottom_out.png
al_center_hor.png
al_center_ver.png
alert.png
AllCaps.png
al_left_in.png
al_left_out.png
al_right_in.png
al_right_out.png
al_top_in.png
al_top_out.png
AppIcon2.png
AppIcon.png
back.png
below.png
BevelJoin.png
BezierClose.png
beziertool16.png
beziertool.png
Bild16.xpm
Bild.xpm
blend.png
bottom.png
ButtCap.png
charset.png
checkbox.png
checkdoc.png
cmyk.png
colorpicker.png
combobox.png
compfile16.png
compfile.png
Corner.xpm
crop.png
DateiClos16.png
DateiClose.png
DateiNeu16.png
DateiNeu.xpm
DateiOpen16.png
DateiOpen.xpm
DateiPrint16.png
DateiPrint.xpm
DateiSave16.png
DateiSave2.png
Deletelayer.png
DeleteNode.png
DelPoint.png
dist22.png
dist.png
distribute_bottom.png
distribute_hcentre.png
distribute_hdist.png
distribute_hdist_val.png
distribute_left.png
distribute_right.png
distribute_top.png
distribute_vcentre.png
distribute_vdist.png
distribute_vdist_val.png
docattributes.png
doc.png
document2.png
documentinfo32.png
documentinfo.png
down.png
DragPix.xpm
DrawFrame.xpm
DrawImageFrame.xpm
DrawPolylineFrame.xpm
DrawTable.xpm
DrawTextFrame.xpm
editcopy22.png
editcopy.png
editcut22.png
editcut.png
editdelete22.png
editdelete.png
Editm.xpm
editpaste.png
edittrash.png
exit22.png
exit.png
expand.png
externaltools.png
filenew.png
fileopen.png
filesaveas.png
fill.png
find16.png
find.png
finish.png
firstline.png
FlipH.xpm
FlipV.xpm
font_otf16.png
font_otf.png
font.png
font_truetype16.png
font_truetype.png
font_type1_16.png
font_type1.png
forward.png
framenoresize.png
frameresize.png
frame_table16.png
frame_table.png
gohome.png
goto.png
guides.png
HandC.xpm
hmirror.png
Hoch.xpm
hyphenate.png
image.png
irreg.png
Kapital.xpm
Kern.xpm
key_bindings.png
Kreise.xpm
Kreuz.xpm
launch16.png
launch.png
Layervisible.xpm
leftindent.png
linespacing.png
listbox.png
locked.png
Lock.xpm
Lowerlayer.png
lower.png
lower-to-bottom.png
Lupe.xpm
LupeZ.xpm
misc.png
MiterJoin.png
MoveAsym.png
MoveKontrol.png
MoveNode.png
mover.png
MoveSym.png
Newlayer.png
nftabout.xpm
nftinfo.xpm
noicon.xpm
NoPrint.png
ok22.png
ok.png
ooo_draw.png
ooo_writer.png
outlined.png
page16.png
pagedouble16.png
pagedouble.png
page.png
pagequadro16.png
pagequadro.png
pagesingle16.png
pagesingle.png
pagetriple16.png
pagetriple.png
pdf.png
penciladd.png
pencilsub.png
plugins.png
PolyCut.png
postscript.png
pushbutton.png
python.png
Raiselayer.png
raise.png
raise-to-top.png
Rechtecke.xpm
register.png
reload16.png
reload.png
removef.png
Reset1Node.png
ResetNode.png
Revers.png
revert.png
rgb.png
rotate_ccw.png
rotate_cw.png
Rotieren2.png
Rotieren.xpm
RoundCap.png
RoundJoin.png
scrap.png
screen.png
scribusdoc16.png
scribusdoc.png
scribusicon.png
scribus_logo.jpg
shade.png
shadow.png
shear_down.png
shear_left.png
shear_right.png
shear_up.png
shortwords.png
signature2.png
signature.png
Spacing.xpm
spiral.png
Splash.png
spline16.png
spline.png
Split.png
spot.png
SquareCap.png
start.png
Stift16.xpm
Stiftalt16.xpm
Stiftalt.xpm
Stift.xpm
stoplaunch16.png
stoplaunch.png
Strike.xpm
tab.png
tabtocindex.png
testfill.png
Text16.xpm
Text2.xpm
textbase.png
text_block.png
text_center.png
text_force.png
textkern.png
text_left.png
text_right.png
textscaleh.png
textscalev.png
textview.png
Text.xpm
Tief.xpm
tools.png
top.png
trashcan2.png
trashcan.png
triangle.png
txt.png
typography.png
u_align.png
u_arrow.png
u_create.png
u_cut.png
u_delete.png
u_disableprint.png
u_enableprint.png
u_eps.png
u_fill.png
u_fliph.png
u_flipv.png
u_font.png
u_group.png
u_line.png
u_lock.png
u_margins_locked.png
u_margins.png
u_move.png
u_multiple.png
unlock.png
Unlock.xpm
Unter.xpm
up.png
u_redo16.png
u_redo.png
u_resize.png
u_rotate.png
u_scale_image.png
u_shade.png
u_shape.png
u_svg.png
u_transp.png
u_undo16.png
u_undo.png
u_unlock.png
vectorgfx.png
viewmag1.png
viewmagin.png
viewmagout.png
view.png
vmirror.png
Winkel.xpm
wizard.png
wordsOnly.png
Zeichen.xpm
  DESTINATION ${ICONDIR}
)
