=== debian/changelog ===
scribus-ng (1.3.3.6.dfsg-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Oleksandr Moskalenko <malex@debian.org>  Tue,  5 Dec 2006 15:28:45 -0700

scribus-ng (1.3.3.5.dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01_profiles_makefile_am.dpatch: Reflecte the removal of the
    non-free ICC profile.
  * debian/patches/02_top_makefile_am.dpatch: Install the scribus.xml mime
    types file as scribus-ng.xml.
  * debian/rules: Remove the erroneous `/usr/share/scribus/' directory before
    building the package.

 -- Oleksandr Moskalenko <malex@debian.org>  Fri, 10 Nov 2006 12:57:17 -0700

scribus-ng (1.3.3.4.dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/scribus-ng.xml: Removed this file as the upstream included it in
    this release.
  * debian/rules: Added a rule to remove /usr/share/doc/scribus as I couldn't
    find the makefile rule that created it.

 -- Oleksandr Moskalenko <malex@debian.org>  Tue,  3 Oct 2006 10:29:33 -0600

scribus-ng (1.3.3.3.dfsg-2) unstable; urgency=low

  * Revert relibtoolization for now to fix the problem with building shared
    objects for plugins.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 10 Aug 2006 13:48:39 -0600

scribus-ng (1.3.3.3.dfsg-1) unstable; urgency=low

  * New upstream release on 2006-08-07. Performed removal of the non-free doc
    and profile directories, install location relocation, and source
    libtoolization (libtoolize -c -f; aclocal; autoconf).
  * debian/patches: Removed the patch for admin/cvs.sh that was folded into
    the upstream source.
  * debian/control: Added an explicit dependency on liblcms1 (>= 1.13) in
    order to override the ${shlibs:Depends} that creates a dependency on 1.08
    (Closes: #379077) finally.
  * Updated for the new python policy compatibility (Closes: #380947).
    + debian/pycompat: Added this file with a value of "2" per new python
      policy.
    + debian/control: 
      - Changed debhelper dependency from "4" to "5.0.37.2".
      - Added ${python:Depends} to the Depends field.
      - Added a XB-Python-Version: ${python:Versions} field.
      - Added a "Provides: ${python:Provides}" field.
      - Changed "python2.3-dev" to python-all-dev (>= 2.3.5-11) in
        Build-Depends.
  * debian/scribus-ng.lintian: Updated lintian overrides.
  * debian/scribus-ng.lintian: Added a linda override for the "is not an ELF
    file or script" warning for .la files.
  * debian/watch: Updated the watch regex to accomodate a four digit version
    number.

 -- Oleksandr Moskalenko <malex@debian.org>  Tue,  8 Aug 2006 17:21:39 -0600

scribus-ng (1.3.3.2.dfsg-2) unstable; urgency=medium

  * debian/patches/02-cvs_sh.dpatch: Added a patch that fixes autoconf-2.60
    detection failure (Closes: #379893). Setting urgency=medium for this.
  * debian/control: Checked the liblcms1 dependency and it is >= 1.13 
    (Closes: #379077).
  * debian/scribus-ng.lintian: Updated lintian overrides.

 -- Oleksandr Moskalenko <malex@debian.org>  Fri, 28 Jul 2006 13:19:41 -0600

scribus-ng (1.3.3.2.dfsg-1) unstable; urgency=low

  * New upstream release on May 27th, 2006. This release is compatible with
    libfreetype6-2.2 and should fix the FTBFS on s390 (Closes: #370574).
  * debian/control: Updated Standards-Version to 3.7.2.

 -- Oleksandr Moskalenko <malex@debian.org>  Tue, 06 Jun 2006 10:48:32 -0600

scribus-ng (1.3.3.1.dfsg-1) unstable; urgency=low

  * First upload into Debian (Closes: #362266).
  * New upstream point release of the developmental branch of Scribus on April
    10, 2006.
  * debian/rules:
    - Fixed a rule to delete upstream COPYING file as it was looking in
      $(package)/share/ instead of $(package)/usr/share/.
    - Changed the 'dh_clean -k' rule in 'install-stamp:' to 'dh_clean' to
      completely clean the build directories as I don't build multiple
      binaries from this source anymore.
    - Moved dh_install above the manual rules.
    - Added a rule to move the dictionary README files to
      /usr/share/scribus-ng/doc/dicts..
    - Added a rule to remove INSTALL and README.MacOSX files from
      /usr/share/doc/scribus-ng as per lintian warnings.
  * debian/scribus-ng.dirs: Added a rule to create a
    /usr/share/doc/scribus-ng/dicts directory for dictionary readme files.
  * debian/patches/01_Makefile.am.dpatch: Prepared a monolithic patch to
    convert scribus into scribus-ng at build time.
  * Removed unneeded scribus-ng.links file.
  * debian/scribus-ng.lintian: Added a minimal set of necessary overrides for
    the script-not-executable, executable-not-elf-or-script, and
    shlib-with-executable-bit warnings.
  * debian/control: Removed the scribus-cvs dummy package and updated
    description to point out that scribus-ng will be tracking developmental
    branch of scribus.

 -- Oleksandr Moskalenko <malex@debian.org>  Tue, 11 Apr 2006 11:45:49 -0600

scribus-ng (1.3.2+cvs20060405-1) unstable; urgency=low

  * Upstream cvs update on 2006-04-05 branched into a 1.3.3.1 branch for
    stabilization before a release.
  * Changed the name to scribus-ng package in preparation of the introduction
    of this package into Debian/main archive and switch from cvs to
    subversion upstream, so -cvs is not going to be an appropriate suffix.
  * Edited in place every Makefile.am file to change the DOCDIR to scribus1.2
    for now. I'll do it upstream of Debian packaging later.
  * Edited in place every Makefile.am file to change the LIBDIR to scribus1.2
    for now. I'll do it upstream of Debian packaging later.
  * debian/control:
    - Changed package name from scribus-cvs to scribus-ng.
    - Added scribus-cvs to Conflicts and Replaces fields to ensure a smooth
      upgrade.
  * debian/NEWS: Updated the news file to reflect this switch in packaging.
  * debian/copyright: Verified and updated the copyright information.
  * debian/rules:
    - Changed rules to reflect the package name change.

