=== debian/rules ===
#!/usr/bin/make -f

package=scribus-ng

#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

DEBIAN_DIR = $(shell pwd)/debian

patchdir = $(DEBIAN_DIR)/patches
patches = $(shell ls $(patchdir) | sort)
rev_patches = $(shell ls $(patchdir) | sort -r)

ifeq ($(DEB_HOST_GNU_TYPE), alpha-linux)
OPT_FLAG = -O0
else
OPT_FLAG = -O2
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
OPT_FLAG = -O0
endif

OPT_FLAG += -g -Wall

patch-stamp:
	dpatch apply-all
	touch patch-stamp

unpatch:
	dpatch deapply-all
	rm -rf patch-stamp debian/patched

build: patch-stamp build-stamp
build-stamp:
	dh_testdir
	dh_clean

	$(MAKE) -f Makefile.cvs

	CFLAGS="$(OPT_FLAG)" \
	CXXFLAGS="$(OPT_FLAG)" \
	./configure				\
		--prefix=/usr			\
		--sysconfdir=/etc		\
		--infodir=/usr/share/info	\
		--mandir=/usr/share/man		\

	$(MAKE)

	touch build-stamp

clean: clean-patched unpatch
clean-patched:
	dh_testdir
	dh_testroot
	-rm -f build-stamp install-stamp
	-$(MAKE) distclean
	-rm -f config.cache config.log config.status
	-rm -f scribus/*.orig scribus/*.rej
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	dh_install
	$(MAKE) install					\
		prefix=$(DEBIAN_DIR)/$(package)/usr	\
		mandir=$(DEBIAN_DIR)/$(package)/usr/share/man \
		datadir=$(DEBIAN_DIR)/$(package)/usr/share
	mv $(DEBIAN_DIR)/$(package)/usr/bin/scribus $(DEBIAN_DIR)/$(package)/usr/bin/scribus-ng
	mv $(DEBIAN_DIR)/$(package)/usr/share/pixmaps/scribusicon.png $(DEBIAN_DIR)/$(package)/usr/share/pixmaps/scribus-ng.png
	mv $(DEBIAN_DIR)/$(package)/usr/share/man/man1/scribus.1 $(DEBIAN_DIR)/$(package)/usr/share/man/man1/scribus-ng.1
	mv $(DEBIAN_DIR)/$(package)/usr/share/man/pl/man1/scribus.1 $(DEBIAN_DIR)/$(package)/usr/share/man/pl/man1/scribus-ng.1
	mv $(DEBIAN_DIR)/$(package)/usr/lib/scribus-ng/dicts/README*txt $(DEBIAN_DIR)/$(package)/usr/share/doc/scribus-ng/dicts/
	gzip -9 $(DEBIAN_DIR)/$(package)/usr/share/doc/scribus-ng/dicts/README*txt
	rm -rf $(DEBIAN_DIR)/$(package)/usr/include \
	$(DEBIAN_DIR)/$(package)/usr/share/doc/scribus #\
#	$(DEBIAN_DIR)/$(package)/usr/share/scribus
	rm -f $(DEBIAN_DIR)/$(package)/usr/share/doc/scribus-ng/ChangeLogCVS \
	$(DEBIAN_DIR)/$(package)/usr/share/doc/scribus-ng/ChangeLog \
	$(DEBIAN_DIR)/$(package)/usr/share/doc/scribus-ng/INSTALL \
	$(DEBIAN_DIR)/$(package)/usr/share/doc/scribus-ng/README.MacOSX \
	$(DEBIAN_DIR)/$(package)/usr/share/doc/scribus-ng/COPYING \
	$(DEBIAN_DIR)/$(package)/usr/share/scribus-ng/scripts/COPYING

	for i in linda lintian ; do \
	  install -m644 debian/scribus-ng.$$i $(DEBIAN_DIR)/$(package)/usr/share/$$i/overrides/scribus-ng ; \
	  install -m644 debian/scribus-ng.$$i $(DEBIAN_DIR)/$(package)/usr/share/$$i/overrides/scribus-ng ; \
	done

	touch install-stamp


binary-indep: build install
	dh_testdir
	dh_testroot


binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -a README AUTHORS TODO
	dh_installmenu -a
	dh_installchangelogs ChangeLog
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	chmod 755 $(DEBIAN_DIR)/$(package)/usr/lib/scribus-ng/plugins/*
	chmod 755 $(DEBIAN_DIR)/$(package)/usr/lib/scribus-ng/plugins/*/*
	rm -rf $(DEBIAN_DIR)/$(package)/usr/share/scribus/
	dh_installdeb -a
	dh_desktop -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: binary clean binary-indep binary-arch binary install
