=== debian/watch ===
version=3

http://prdownloads.sourceforge.net/scribus/scribus-1.3.[0-9].[0-9].tar.bz2
